Package tigase.kernel.beans.config

## Class AbstractBeanConfigurator.BeanDefinition.Builder

- java.lang.Object
- - tigase.conf.AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,​AbstractBeanConfigurator.BeanDefinition.Builder>
  - - tigase.kernel.beans.config.AbstractBeanConfigurator.BeanDefinition.Builder

- Enclosing class:
    AbstractBeanConfigurator.BeanDefinition

      public static class AbstractBeanConfigurator.BeanDefinition.Builder
      extends AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,​AbstractBeanConfigurator.BeanDefinition.Builder>

- - ### Field Summary

    - ### Fields inherited from class tigase.conf.AbstractConfigBuilder

      `map`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |
    `Builder​(java.util.Map<java.lang.String,​java.lang.Object> parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `active​(boolean active)` |
    `AbstractBeanConfigurator.BeanDefinition` | `build()` |
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `clazz​(java.lang.Class<?> clazz)` |
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `clazz​(java.lang.String clazz)` |
    `AbstractBeanConfigurator.BeanDefinition.Builder` | `name​(java.lang.String name)` |

    - ### Methods inherited from class tigase.conf.AbstractConfigBuilder

      `bean, property, with, with, with, withBean`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(java.util.Map<java.lang.String,​java.lang.Object> parent)

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### active

          public AbstractBeanConfigurator.BeanDefinition.Builder active​(boolean active)

    - #### name

          public AbstractBeanConfigurator.BeanDefinition.Builder name​(java.lang.String name)

    - #### clazz

          public AbstractBeanConfigurator.BeanDefinition.Builder clazz​(java.lang.Class<?> clazz)

    - #### clazz

          public AbstractBeanConfigurator.BeanDefinition.Builder clazz​(java.lang.String clazz)

    - #### build

          public AbstractBeanConfigurator.BeanDefinition build()

      Overrides:
        `build` in class `AbstractConfigBuilder<AbstractBeanConfigurator.BeanDefinition,​AbstractBeanConfigurator.BeanDefinition.Builder>`